body {
    background-color: rgb(242, 242, 242);
    font-family: sans-serif;
    margin: 10px 40px 10px 40px;
    line-height: 2;
    font-family: 'Times New Roman', sans-serif;
    background-image: url(img/fondo.webp);
    background-repeat: no-repeat;
    background-size: cover;
}

a {
    text-decoration: none;
    color: black;
}

header {
     
    display: flex;
    height: 10px;
    background-color: rgb(239, 176, 154);
    justify-content: space-between;
    align-items: center;
    padding: 50px;
}

.logo {
    display: flex;
    align-items: center;
}

.logo img {
    height: 50px;
    margin-right: 10px;
}

nav a {
    font-weight: 600;
    padding-right: 10px;
}

nav a:hover {
    color: white;
}

#hero {
    font-size: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    height: 60vh;
    color: rgb(255, 255, 255);
    background-image: linear-gradient(0deg,
            rgba(0, 0, 0, 0.5),
            rgba(0, 0, 0, 0.5)), url(img/titulo.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}

video {
    display: block;
    margin: 0 auto;
    box-shadow: 4px 4px 15px rgba(0, 0, 0, 0.3);
}

video:hover {
    transform: scale(1.02);
    transition: transform 0.3s ease-in-out;
    
}

img {
    display: block;
    margin: 0 auto;
    max-width: 100%;
    height: auto;
    display: block;
    border-radius: 10px;
    border: 2px solid #ddd;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.2);
}

img:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease-in-out;
}

footer {
    background-color: rgb(173, 222, 222);
    color: #000000;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

footer a {
    color: #fff;
    margin: 5px 0;
}

small {
    display: block;
    text-align: center;
}

#inicio {
    color: #000000;
    background-color: rgb(232, 198, 147);
    padding: 40px;
}

#protagonistas{
    color: #000000;
    background-color: bisque;
    padding: 20px;
}

#temporadas{
    color: #000000;
    background-color: rgb(232, 198, 147);
    padding: 20px;
}

#estrenos{
    color: #000000;
    background-color: rgb(232, 198, 147);
    padding: 20px;
}

#contacto{
    color: #000000;
    background-color: bisque;
    padding: 20px;
}

#ranking {
    background-color: bisque; 
    padding: 20px; 
}
.video-container {
    position: relative;
    width: 100%;
    max-width: 800px;
    margin: 20px auto;
    overflow: hidden;
    aspect-ratio: 16 / 9;
    box-shadow: 4px 4px 15px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
}

.video-container video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}


table {
    width: 100%;
    max-width: 800px; 
    margin: 20px auto; 
    background-color: rgba(255, 255, 255, 0.8); 
    overflow: hidden; 
    box-shadow: 2px 2px 10px rgba(254, 115, 115, 0.2); 
}   

th {
    background-color: rgb(246, 150, 115); 
    color: #000000; 
    padding: 10px; 
    text-align: center; 
    font-weight: bold; 
}

td {
    padding: 10px; 
    text-align: center; 
}
